=== debian/changelog ===
globus-rls-client (5.2-9) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 19:34:03 +0200

globus-rls-client (5.2-8) unstable; urgency=low

  * debian/rules cleanup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 20:15:08 +0100

globus-rls-client (5.2-7) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 17 Jan 2012 23:10:30 +0100

globus-rls-client (5.2-6) unstable; urgency=low

  * Recompile against Globus Toolkit 5.2.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 29 Dec 2011 08:37:04 +0100

globus-rls-client (5.2-5) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 05:58:52 +0200

globus-rls-client (5.2-4) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616245)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 18:38:56 +0200

globus-rls-client (5.2-3) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 12:54:05 +0200

globus-rls-client (5.2-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583052)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-rls-client (5.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 10:40:10 +0100

globus-rls-client (5.1-7) unstable; urgency=low

  * Make sure the diff.gz file only changes the debian directory.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Aug 2009 15:58:05 +0200

globus-rls-client (5.1-6) unstable; urgency=low

  * Fix format errors.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 04 Jun 2009 10:52:13 +0200

globus-rls-client (5.1-5) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 May 2009 22:57:26 +0200

globus-rls-client (5.1-4) unstable; urgency=low

  * Fixing inherited dependency of binary to the libgssapi-error2
    package which has now been removed from the archive.

 -- Steffen Moeller <moeller@debian.org>  Fri, 01 May 2009 11:07:04 +0200

globus-rls-client (5.1-3) unstable; urgency=low

  * Initial release (Closes: #514486).
  * Rebuilt to correct libltdl dependency.
  * Preparing for other 64bit platforms than amd64.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 18 Apr 2009 20:17:35 +0200

globus-rls-client (5.1-2) UNRELEASED; urgency=low

  * Only quote the Apache-2.0 license if necessary.
  * Updated deprecated Source-Version in debian/control.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 09:21:25 +0100

globus-rls-client (5.1-1) UNRELEASED; urgency=low

  * First build.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Jan 2009 16:22:14 +0100
