=== debian/control ===
Source: globus-rls-client
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 10), libglobus-io-dev (>= 9), doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-rls-client
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-rls-client
Homepage: http://www.globus.org/

Package: libglobus-rls-client5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client5 package contains:
 Replica Location Service Client

Package: globus-rls-client-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-client-progs package contains:
 Replica Location Service Client Programs

Package: libglobus-rls-client-dev
Section: libdevel
Architecture: any
Depends: libglobus-rls-client5 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 10), libglobus-io-dev (>= 9), globus-core (>= 8)
Recommends: libglobus-rls-client-doc (= ${source:Version})
Description: Globus Toolkit - Replica Location Service Client Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client-dev package contains:
 Replica Location Service Client Development Files

Package: libglobus-rls-client-doc
Section: doc
Architecture: all
Depends: libglobus-rls-client-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
Description: Globus Toolkit - Replica Location Service Client Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client-doc package contains:
 Replica Location Service Client Documentation Files

Package: globus-rls-client-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-rls-client5 (= ${binary:Version}) | globus-rls-client-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-client-dbg package contains:
 Replica Location Service Client Debug Symbols
